-------------------------------------------------------------------------------
Lisa/M USB HID example (USB Full-Speed and SPI)
-------------------------------------------------------------------------------

This capture is taken from the libopencm3 example for a USB HID device on the
Paparazzi Lisa/M board. In this applicaton an SPI accellerometer is read and
the values are transmitted on a USB IN endpoint as mouse movement.

Details:
http://libopencm3.org
http://libopencm3.git.sourceforge.net/git/gitweb.cgi?p=libopencm3/libopencm3;a=tree;f=examples/stm32/f1/lisa-m/usb_hid
http://paparazzi.enac.fr/wiki/User/LisaM


Logic analyser setup
--------------------

The logic analyzer used was an Openbench Logic Sniffer (at 50MHz):

  Probe    Signal
  ---------------
  0        USB_DM
  1        USB_DP
  2        SPI_NCS
  3        SPI_SCK
  4        SPI_MOSI
  5        SPI_MISO

The sigrok command line used was:

  sigrok-cli -d 0:samplerate=50mhz:rle=on \
             -p 1=USB_DM,2=USB_DP,3=SPI_NCS,4=SPI_SCK,5=SPI_MOSI,6=SPI_MISO \
             --time=50ms -o lisa_m_usb_spi.sr

The OLS can't actually capture 50ms, so it just captures as much as it can
buffer. No triggering was used.

